\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage[british]{babel}
\usepackage[document]{ragged2e}
\usepackage{csquotes}				% single quotes
\usepackage{fancyhdr}				% header
\usepackage{url}					% support urls
\usepackage{natbib}					% Harvard refs
\usepackage[T1]{fontenc}			% correct character encodings
\usepackage{lmodern}				% a font
\usepackage{pifont}					% http://ctan.org/pkg/pifont

\setcitestyle{aysep={},notesep={:~}}% in text style

\usepackage{geometry}				% margins
\geometry{
	a4paper,
	total={170mm,257mm},
	left=20mm,
	top=20mm,
}

\pagestyle{fancy}
\fancyhf{}
\lhead{CU Harvard LaTeX}
\rhead{Tomasz Cichy}
\rfoot{Page \thepage}

\begin{document}
	All supported BibTeX entries:
	\begin{itemize}
		\item article (printed journal article) @article [\citep[201-213]{article}, \citet{article}] \ding{51}
		\item book @book [\citep{book}, \citet{book}] \ding{51}
		\item booklet @booklet [\citep{booklet}, \citet{booklet}] \ding{51}
		\item conference @conference [\citep{conference}, \citet{conference}] \ding{55}
		\item inbook @inbook [\citep{inbook}, \citet{inbook}] \ding{55}
		\item incollection @incollection [\citep{incollection}, \citet{incollection}] \ding{51} \textit{A chapter or essay in an edited collection}
%		\item inproceedings @inproceedings [\citep{inp}, \citet{inbook}]
		\item manual @manual [\citep{manual}, \citet{manual}] \ding{55}
		\item mastersthesis @mastersthesis [\citep{mastersthesis}, \citet{mastersthesis}] \ding{51}
		\item misc
(general) @misc [\citep{misc}, \citet{misc}] \ding{55}
		\item phdthesis @phdthesis [\citep{phdthesis}, \citet{phdthesis}] \ding{51}
		\item proceedings @proceedings [\citep{proceedings}, \citet{proceedings}] \ding{55}
		\item techreport @techreport [\citep{techreport}, \citet{techreport}] \ding{51} \textit{A (corporate) report}, also \textit{A leaflet or a poster with known author}
		\item unpublished @unpublished [\citep{unpublished}, \citet{unpublished}] \ding{55}		
	\end{itemize}
	\url{https://www.openoffice.org/bibliographic/bibtex-defs.html}
	
	Custom entry types:
	\begin{itemize}
		\item website (website/online media) @website [\citep{website}, \citet{website}] \ding{51}
		\item online lecture notes or transcript @onlinelecture [\citep{lecture}, \citet{lecture}] \ding{51}
	\end{itemize}
	
	Problematic examples:
	\begin{itemize}
%		\item A lot of authors [\citep{Vinyals2019}, \citet{Vinyals2019}]
		\item Editors \citep{conference}, \citep{proceedings}
		\item Same year same author \citep{article_2}, \citep{article_3}
		\item Corporate author (keep formatting as in .bib) \citep{techreport_corp} \textit{To preserve the original formatting of any BibTeX field write it in an extra pair of "\{\}" like \textbf{author = \{\{Probably a Corporation Name\}\}}}
		\item A lot of authors \citep{Vinyals2019}		
	\end{itemize}	
	
%	\pagebreak
	\bibliography{refs}{}
	\bibliographystyle{cuharvard}

\end{document}